Bug 1415665 - Gdeploy setup window closes if focus outside modal dialog
Summary: Gdeploy setup window closes if focus outside modal dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.10
Assignee: Ramesh N
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-23 11:50 UTC by Sahina Bose
Modified: 2017-04-21 09:32 UTC (History)
2 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: Bug Fix
Doc Text:
Gdeploy wizard was getting closed when user clicks some where outside of the wizard area. This can result in accidentally closing the wizard. Now with the fix, gdeploy wizard will not close when user clicks some where outside of the wizard area.
Clone Of:
Environment:
Last Closed: 2017-04-21 09:32:46 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 71377 master MERGED gdeploy: fix modal popup close issue 2017-01-30 17:27:36 UTC
oVirt gerrit 71764 ovirt-4.1 MERGED gdeploy: fix modal popup close issue 2017-02-10 06:09:44 UTC

Description Sahina Bose 2017-01-23 11:50:37 UTC
Description of problem:

Once the gdeploy setup is invoked and the modal dialog for inputs open, click anywhere outside the dialog - the window closes and all input is lost.
User will need to start again. This becomes a bigger issue if the gdeploy deployment has started, as user is unable to determine status.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
As description

Actual results:


Expected results:
Modal dialog should not close

Additional info:

Comment 1 SATHEESARAN 2017-03-08 18:08:20 UTC
Tested with ovirt-cockpit-dashboard-0.10.7-0.0.13

When clicking outside the gdeploy wizard, the wizard is working well and doesn't disappears


Note You need to log in before you can comment on or make changes to this bug.